VFS_UNMOUNT(9)

NAME
VFS_UNMOUNT - unmount a filesystem

SYNOPSIS
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_UNMOUNT(struct mount *mp, int mntflags, struct proc *p);

DESCRIPTION
Unmount a filesystem.

Its arguments are:

mp  The filesystem.

mntflags
    Various flags.

p   Process which is unmounting the filesystem.

If the MNT_FORCE flag is specified then open files should be forcibly closed.

SEE ALSO
vnode(9), VFS(9), vflush(9)

AUTHORS
This man page was written by Doug Rabson.